For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
      • GETGet all entities
      • POSTCreate an entity
      • GETGet the current entity
      • PATCHUpdate the current entity
      • GETGet an entity
      • PATCHUpdate an entity
      • PUTUpload an entity logo
      • DELDelete an entity's logo
      • GETGet entity metadata
      • PUTReplace entity metadata
      • GETGet entity settings
      • PATCHUpdate entity settings
      • GETGet the next document numbers for an entity
      • GETGet an entity of this user
      • PATCHUpdate an entity of this user
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
CommonEntities

Update entity settings

PATCH
/entities/:entity_id/settings
PATCH
/v1/entities/:entity_id/settings
$curl -X PATCH https://api.sandbox.monite.com/v1/entities/ea837e28-509b-4b6a-a600-d54b6aa0b1f5/settings \
> -H "x-monite-version: 2024-01-31" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "accounting": {
3 "ledger_account_ids": {
4 "payments": "payments",
5 "products": "products"
6 },
7 "tax_ids": {
8 "deductions": "deductions"
9 }
10 },
11 "allow_purchase_order_autolinking": true,
12 "api_version": "2024-05-25",
13 "commercial_conditions": [
14 "commercial_conditions"
15 ],
16 "currency": {
17 "default": "AED",
18 "exchange_rates": [
19 {
20 "base": "AED",
21 "rate": 0.98,
22 "to": "AED"
23 }
24 ]
25 },
26 "default_role": {
27 "key": "value"
28 },
29 "document_ids": {
30 "document_type_prefix": {
31 "credit_note": "credit_note",
32 "delivery_note": "delivery_note",
33 "invoice": "invoice",
34 "purchase_order": "purchase_order",
35 "quote": "quote"
36 },
37 "include_date": true,
38 "min_digits": 1,
39 "prefix": "prefix",
40 "separator": "/"
41 },
42 "document_rendering": {
43 "credit_note": {
44 "display_entity_bank_account": true
45 },
46 "display_entity_bank_account": true,
47 "display_line_items": true,
48 "invoice": {
49 "display_entity_bank_account": true
50 },
51 "line_items": {
52 "discount": {
53 "display": true,
54 "label": "label"
55 },
56 "measure_unit": {
57 "display": true,
58 "label": "label"
59 },
60 "name": {
61 "display": true,
62 "label": "label"
63 },
64 "price": {
65 "display": true,
66 "label": "label",
67 "precision": 1
68 },
69 "price_after_vat": {
70 "display": true,
71 "label": "label",
72 "precision": 1
73 },
74 "quantity": {
75 "display": true,
76 "label": "label"
77 },
78 "total_price": {
79 "display": true,
80 "label": "label",
81 "precision": 1
82 },
83 "total_price_after_vat": {
84 "display": true,
85 "label": "label",
86 "precision": 1
87 },
88 "vat_amount": {
89 "display": true,
90 "label": "label",
91 "precision": 1
92 },
93 "vat_rate": {
94 "display": true,
95 "label": "label",
96 "precision": 1
97 }
98 },
99 "quote": {
100 "display_entity_bank_account": true,
101 "display_signature": true
102 }
103 },
104 "generate_paid_invoice_pdf": true,
105 "language": "ab",
106 "mail": {
107 "attach_documents_as_pdf": true,
108 "from_email_username": "from_email_username",
109 "from_name": "from_name"
110 },
111 "payable": {
112 "approve_page_url": "https://monite.com",
113 "allow_cancel_duplicates_automatically": true,
114 "allow_counterpart_autocreation": true,
115 "allow_counterpart_autolinking": true,
116 "default_state": "default_state",
117 "enable_line_items": true,
118 "skip_approval_for_paid_invoice": true
119 },
120 "payables_ocr_auto_tagging": [
121 {
122 "enabled": true,
123 "keywords": [
124 "keywords"
125 ],
126 "tag_id": "tag_id"
127 }
128 ],
129 "payables_skip_approval_flow": true,
130 "payment_priority": "working_capital",
131 "payments": {
132 "payment_page_domain": "payment_page_domain",
133 "payment_page_theme": {
134 "background_color": "background_color",
135 "border_radius": "border_radius",
136 "button": {
137 "primary_color": "primary_color",
138 "primary_hover_color": "primary_hover_color",
139 "secondary_color": "secondary_color",
140 "secondary_hover_color": "secondary_hover_color"
141 },
142 "card": {
143 "background_color": "background_color"
144 },
145 "font_color": "font_color",
146 "font_family": "font_family",
147 "font_link_href": "font_link_href",
148 "logo_src": "logo_src"
149 },
150 "support_email": "support_email"
151 },
152 "quote_signature_required": true,
153 "receivable": {
154 "create_without_personal_info": true,
155 "deduction_title": "deduction_title"
156 },
157 "receivable_edit_flow": "compliant",
158 "reminder": {
159 "enabled": true
160 },
161 "units": [
162 {
163 "designation": "kg",
164 "name": "Kilogram"
165 }
166 ],
167 "vat_inclusive_discount_mode": "exclusive",
168 "vat_mode": "exclusive",
169 "website": "website"
170}
Change the specified fields with the provided values.
Was this page helpful?
Previous

Get the next document numbers for an entity

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entity_idstringRequired
A unique ID to specify the entity.

Headers

x-monite-versionstringRequired

Request

This endpoint expects an object.
accountingobjectOptional
allow_purchase_order_autolinkingbooleanOptional
Automatically attempt to find a corresponding purchase order for all incoming payables.
currencyobjectOptional
document_idsobjectOptional
document_renderingobjectOptional
Settings for rendering documents in PDF format.
generate_paid_invoice_pdfbooleanOptionalDefaults to false
This setting affects how PDF is generated for paid accounts receivable invoices. If set to `true`, once an invoice is fully paid its PDF version is updated to display the amount paid and the payment-related features are removed. The PDF file gets regenerated at the moment when an invoice becomes paid. It is not issued as a separate document, and the original PDF invoice is no longer available. This field is deprecated and will be replaced by `document_rendering.invoice.generate_paid_invoice_pdf`.
languageenumOptional
mailobjectOptional
Email settings for the entity
payables_ocr_auto_tagginglist of objectsOptional
Auto tagging settings for all incoming OCR payable documents.
payables_skip_approval_flowbooleanOptionalDefaults to false

If enabled, the approval policy will be skipped and the payable will be moved to waiting_to_be_paid status.

payment_priorityenumOptional
Payment preferences for entity to automate calculating suggested payment date based on payment terms and entity preferences.
Allowed values:
quote_signature_requiredbooleanOptionalDefaults to false
Sets the default behavior of whether a signature is required to accept quotes.
receivable_edit_flowenumOptional
Allowed values:
reminderobjectOptional
vat_inclusive_discount_modeenumOptional

Defines whether the amount discounts (for percentage discounts it does not matter) on VAT inclusive invoices will be applied on amounts including VAT or excluding VAT.

Allowed values:
vat_modeenumOptional
Defines whether the prices of products in receivables will already include VAT or not.
Allowed values:

Response

Successful Response
accountingobject
allow_purchase_order_autolinkingboolean
Automatically attempt to find a corresponding purchase order for all incoming payables.
api_versionenum
Default API version for partner.
commercial_conditionslist of strings
Commercial conditions for receivables.
currencyobject
Custom currency exchange rates.
default_rolemap from strings to any
A default role to provision upon new entity creation.
document_idsobject
document_renderingobject
Settings for rendering documents in PDF format.
generate_paid_invoice_pdfbooleanDefaults to false

This setting affects how PDF is generated for paid accounts receivable invoices. If set to true, once an invoice is fully paid its PDF version is updated to display the amount paid and the payment-related features are removed.

The PDF file gets regenerated at the moment when an invoice becomes paid. It is not issued as a separate document, and the original PDF invoice is no longer available.

This field is deprecated and will be replaced by document_rendering.invoice.generate_paid_invoice_pdf.

languageenum
mailobject
Settings for email and mailboxes.
payableobject
Settings for the payables module.
payables_ocr_auto_tagginglist of objects
Auto tagging settings for all incoming OCR payable documents.
payables_skip_approval_flowbooleanDefaults to false

If enabled, the approval policy will be skipped and the payable will be moved to waiting_to_be_paid status.

payment_priorityenum
Payment preferences for entity to automate calculating suggested payment date based on payment terms and entity preferences.
Allowed values:
paymentsobject
Settings for the payments module.
quote_signature_requiredbooleanDefaults to false
Sets the default behavior of whether a signature is required to accept quotes.
receivableobject
Settings for the receivables module.
receivable_edit_flowenum
Allowed values:
reminderobject
unitslist of objects
Measurement units.
vat_inclusive_discount_modeenum

Defines whether the amount discounts (for percentage discounts it does not matter) on VAT inclusive invoices will be applied on amounts including VAT or excluding VAT.

Allowed values:
vat_modeenum
Defines whether the prices of products in receivables will already include VAT or not.
Allowed values:
websitestring

Errors

400
Patch Entities ID Settings Request Bad Request Error
422
Patch Entities ID Settings Request Unprocessable Entity Error
500
Patch Entities ID Settings Request Internal Server Error

This setting affects how PDF is generated for paid accounts receivable invoices. If set to true, once an invoice is fully paid its PDF version is updated to display the amount paid and the payment-related features are removed.

The PDF file gets regenerated at the moment when an invoice becomes paid. It is not issued as a separate document, and the original PDF invoice is no longer available.

This field is deprecated and will be replaced by document_rendering.invoice.generate_paid_invoice_pdf.